From: =?utf-8?q?Ferenc_W=C3=A1gner?= <wferi@debian.org>
Date: Wed, 29 Apr 2020 16:09:50 +0200
Subject: Strip NO_START functionality from the init script

---
 configs/shibd-debian.in | 7 -------
 1 file changed, 7 deletions(-)

diff --git a/configs/shibd-debian.in b/configs/shibd-debian.in
index 2d6d1c3..1d7a7cf 100644
--- a/configs/shibd-debian.in
+++ b/configs/shibd-debian.in
@@ -121,13 +121,6 @@ case "$1" in
 start)
     prepare_environment
 
-    # Don't start shibd if NO_START is set.
-    if [ "$NO_START" = 1 ] ; then
-        if [ "$VERBOSE" != no ] ; then
-            echo "Not starting $DESC (see /etc/default/$NAME)"
-        fi
-        exit 0
-    fi
     [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
     do_start
     case "$?" in
